org.apache.jmeter.modifiers

## Class CounterConfig

- java.lang.Object
- - org.apache.jmeter.testelement.AbstractTestElement
  - - org.apache.jmeter.modifiers.CounterConfig

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Cloneable, LoopIterationListener, NoThreadClone, Searchable, TestElement

      public class CounterConfig
      extends AbstractTestElement
      implements java.io.Serializable, LoopIterationListener, NoThreadClone

  Provides a counter per-thread(user) or per-thread group.
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface org.apache.jmeter.testelement.TestElement

      `COMMENTS, ENABLED, GUI_CLASS, NAME, TEST_CLASS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CounterConfig()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getEnd()`
    `java.lang.String` | `getEndAsString()`
    `java.lang.String` | `getFormat()`
    `long` | `getIncrement()`
    `java.lang.String` | `getIncrementAsString()`
    `long` | `getStart()`
    `java.lang.String` | `getStartAsString()`
    `java.lang.String` | `getVarName()`
    `boolean` | `isPerUser()`
    `boolean` | `isResetOnThreadGroupIteration()`
    `void` | `iterationStart(LoopIterationEvent event)` Called when a loop iteration is about to start.
    `void` | `setEnd(long end)`
    `void` | `setEnd(java.lang.String end)`
    `void` | `setFormat(java.lang.String format)`
    `void` | `setIncrement(long inc)`
    `void` | `setIncrement(java.lang.String incr)`
    `void` | `setIsPerUser(boolean isPer)`
    `void` | `setResetOnThreadGroupIteration(boolean value)`
    `void` | `setStart(long start)`
    `void` | `setStart(java.lang.String start)`
    `void` | `setVarName(java.lang.String name)`

    - ### Methods inherited from class org.apache.jmeter.testelement.AbstractTestElement

      `addPropertiesValues, addProperty, addProperty, addTestElement, canRemove, clear, clearTemporary, clearTestElementChildren, clone, emptyTemporary, equals, getComment, getName, getProperty, getPropertyAsBoolean, getPropertyAsBoolean, getPropertyAsDouble, getPropertyAsFloat, getPropertyAsInt, getPropertyAsInt, getPropertyAsLong, getPropertyAsLong, getPropertyAsString, getPropertyAsString, getSearchableTokens, getThreadContext, getThreadName, hashCode, isEnabled, isRunningVersion, isTemporary, logProperties, mergeIn, propertyIterator, recoverRunningVersion, removeProperty, setComment, setEnabled, setName, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setRunningVersion, setTemporary, setThreadContext, setThreadName, traverse, traverseCollection, traverseMap, traverseProperty`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.jmeter.testelement.TestElement

      `removed`

- - ### Constructor Detail

    - #### CounterConfig

          public CounterConfig()

  - ### Method Detail

    - #### iterationStart

          public void iterationStart(LoopIterationEvent event)

      Description copied from interface: `LoopIterationListener`
      Called when a loop iteration is about to start.
      Specified by:
        `iterationStart` in interface `LoopIterationListener`
      Parameters:
        `event` - the event
      See Also:
        `LoopIterationListener.iterationStart(LoopIterationEvent)`

    - #### setStart

          public void setStart(long start)

    - #### setStart

          public void setStart(java.lang.String start)

    - #### getStart

          public long getStart()

    - #### getStartAsString

          public java.lang.String getStartAsString()

    - #### setEnd

          public void setEnd(long end)

    - #### setEnd

          public void setEnd(java.lang.String end)

    - #### setResetOnThreadGroupIteration

          public void setResetOnThreadGroupIteration(boolean value)

      Parameters:
        `value` - boolean indicating if counter must be reset on Thread Group Iteration

    - #### isResetOnThreadGroupIteration

          public boolean isResetOnThreadGroupIteration()

      Returns:
        true if counter must be reset on Thread Group Iteration

    - #### getEnd

          public long getEnd()

      Returns:
        counter upper limit (default Long.MAX_VALUE)

    - #### getEndAsString

          public java.lang.String getEndAsString()

    - #### setIncrement

          public void setIncrement(long inc)

    - #### setIncrement

          public void setIncrement(java.lang.String incr)

    - #### getIncrement

          public long getIncrement()

    - #### getIncrementAsString

          public java.lang.String getIncrementAsString()

    - #### setIsPerUser

          public void setIsPerUser(boolean isPer)

    - #### isPerUser

          public boolean isPerUser()

    - #### setVarName

          public void setVarName(java.lang.String name)

    - #### getVarName

          public java.lang.String getVarName()

    - #### setFormat

          public void setFormat(java.lang.String format)

    - #### getFormat

          public java.lang.String getFormat()

Copyright © 1998-2018 Apache Software Foundation. All Rights Reserved.